summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAssaf Gordon <assafgordon@gmail.com>2016-01-18 18:16:35 +0000
committerPádraig Brady <P@draigBrady.com>2016-01-18 18:29:47 +0000
commit4e96050b76e4539ad4981693f9694b07eeab3d7d (patch)
treef7cf2f2a4fac646edc478a2ed7a3b56b87b86426 /tests
parent3f02d93be21920299ba19e2dc93b3bcef6c9df81 (diff)
downloadcoreutils-4e96050b76e4539ad4981693f9694b07eeab3d7d.tar.xz
tests: adjust memory limits in head-c.sh
* tests/misc/head-c.sh: Further increase the limit to 8MB over the base test command. 5.1MB was seen as minimum extra needed on FreeBSD 9.3 x86_64.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/head-c.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/head-c.sh b/tests/misc/head-c.sh
index cc544f978..abe9fef84 100755
--- a/tests/misc/head-c.sh
+++ b/tests/misc/head-c.sh
@@ -42,7 +42,7 @@ esac
# Only allocate memory as needed.
# Coreutils <= 8.21 would allocate memory up front
# based on the value passed to -c
-(ulimit -v $(($vm+4000)) && head --bytes=-$SSIZE_MAX < /dev/null) || fail=1
+(ulimit -v $(($vm+8000)) && head --bytes=-$SSIZE_MAX < /dev/null) || fail=1
# Make sure it works on funny files in /proc and /sys.